package main

import (
	"sparrow/pkg/coap"
)

type Access struct {
	CoAPManager *coap.Manager
}

func NewAccess() (*Access, error) {
	p := NewCoAPProvider()
	mgr := coap.NewManager(p)
	return &Access{
		CoAPManager: mgr,
	}, nil
}
